# Examples

!!! info

    Pick one path layout and use it for all of them.

    It doesn't matter if you prefer to use `/data`, `/shared`, `/storage` or whatever.

    The screenshots in the examples are using the following root path `/data`

## Sonarr

??? example "Sonarr Examples - [Click to show/hide]"

    `Settings` => `Media Management` => `Importing`

    ![sonarr-enable-hardlinks](images/sonarr-enable-hardlinks.png)

    `Settings` => `Media Management` => `Root Folders`

    ![sonarr-root-folder](images/sonarr-root-folder.png)

    `Series` => `Add New`

    ![sonarr-add-new](images/sonarr-add-new.png)

    ![sonarr-tv](images/sonarr-tv.png)

## Radarr

??? example "Radarr Examples - [Click to show/hide]"

    `Settings` => `Media Management` => `Importing`

    ![radarr-enable-hardlinks](images/radarr-enable-hardlinks.png)

    `Settings` => `Media Management` => `Root Folders`

    ![radarr-root-folder](images/radarr-root-folder.png)

    `Movies` => `Add New`

    ![radarr-add-new](images/radarr-add-new.png)

    ![radarr-movies](images/radarr-movies.png)

## SABnzbd

??? example "SABnzbd Examples - [Click to show/hide]"

    `SABnzbd config` => `Folders`

    ![sabnzbd-folders](/Downloaders/SABnzbd/images/sabnzbd-folders.png)

    `SABnzbd config` => `Categories`

    ![sabnzbd-categories](/Downloaders/SABnzbd/images/sabnzbd-categories.png)

    Don't forget to look at the full SABnzbd Guides

    - [SABnzbd - Basic Setup](/Downloaders/SABnzbd/Basic-Setup/)
    - [SABnzbd - Paths and Categories](/Downloaders/SABnzbd/Paths-and-Categories/)

## NZBGet

??? example "NZBGet Examples - [Click to show/hide]"

    !!! danger "NZBGet development has been officially abandoned by the developer :bangbang:"

    `Settings` => `PATHS`

    ![nzbget-settings-paths](images/nzbget-settings-paths.png)

    `Settings` => `CATEGORIES`

    ![nzbget-settings-categories](images/nzbget-settings-categories.png)

    Don't forget to look at the full NZBGet Guides

    - [NZBGet - Basic Setup](/Downloaders/NZBGet/Basic-Setup/)
    - [NZBGet - Paths and Categories](/Downloaders/NZBGet/Paths-and-Categories/)

## qBittorrent

??? example "qBittorrent Examples - [Click to show/hide]"

    `Options` => `Downloads`

    ![qbt-options-downloads](images/qbt-options-downloads.png)

    Don't forget to look at the full qBittorrent Guides

    - [qBittorrent - Basic Setup](/Downloaders/qBittorrent/Basic-Setup/)
    - [qBittorrent - Paths](/Downloaders/qBittorrent/Paths/)
    - [qBittorrent - How to add categories](/Downloaders/qBittorrent/How-to-add-categories/)

## Deluge

??? example "Deluge Example - [Click to show/hide]"

    `Preferences` => `Downloads`

    ![deluge-preferences-downloads](images/deluge-preferences-downloads.png)

    Don't forget to look at the full Deluge Guides

    - [Deluge - Basic Setup](/Downloaders/Deluge/Basic-Setup/)
    - [Deluge - Using Labels](/Downloaders/Deluge/Using-Labels/)

## ruTorrent

??? example "ruTorrent Examples - [Click to show/hide]"

    `../config/rtorrent/config/rtorrent.rc` (path to your appdata)

    ![rtorrent.rc](images/rtorrent.rc.png)

    `Settings` => `Downloads`

    ![rtorrent-settings-downloads](images/rtorrent-settings-downloads.png)

    `Settings` => `Autotools`

    ![rtorrent-settings-autotools](images/rtorrent-settings-autotools.png)

---

Big Thanks to [fryfrog](https://github.com/fryfrog){:target="\_blank" rel="noopener noreferrer"} for his [Docker Guide](https://wiki.servarr.com/docker-guide){:target="\_blank" rel="noopener noreferrer"} that I used as basis for this guide.
