# Quality Settings (File Size)

--8<-- "includes/starr/quality-size-description-faq.md"

---

## Sonarr Quality Definitions

--8<-- "includes/starr/quality-size-preferred-info.md"

!!! info "`400` is the displayed value for Unlimited"

=== "Standard"

    | Quality                                                            |             Minimum <sub><sup>(MB/min)</sup></sub>             |               Preferred <sub><sup>(MB/min)</sup></sub>               |             Maximum <sub><sup>(MB/min)</sup></sub>             |
    |--------------------------------------------------------------------|:--------------------------------------------------------------:|:--------------------------------------------------------------------:|:--------------------------------------------------------------:|
    | {{ sonarr['quality-size']['series']['qualities'][0]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][0]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][0]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][0]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][1]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][1]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][1]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][1]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][2]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][2]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][2]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][2]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][3]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][3]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][3]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][3]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][4]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][4]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][4]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][4]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][5]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][5]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][5]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][5]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][6]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][6]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][6]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][6]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][7]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][7]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][7]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][7]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][8]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][8]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][8]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][8]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][9]['quality'] }}  | {{ sonarr['quality-size']['series']['qualities'][9]['min'] }}  | {{ sonarr['quality-size']['series']['qualities'][9]['preferred'] }}  | {{ sonarr['quality-size']['series']['qualities'][9]['max'] }}  |
    | {{ sonarr['quality-size']['series']['qualities'][10]['quality'] }} | {{ sonarr['quality-size']['series']['qualities'][10]['min'] }} | {{ sonarr['quality-size']['series']['qualities'][10]['preferred'] }} | {{ sonarr['quality-size']['series']['qualities'][10]['max'] }} |
    | {{ sonarr['quality-size']['series']['qualities'][11]['quality'] }} | {{ sonarr['quality-size']['series']['qualities'][11]['min'] }} | {{ sonarr['quality-size']['series']['qualities'][11]['preferred'] }} | {{ sonarr['quality-size']['series']['qualities'][11]['max'] }} |
    | {{ sonarr['quality-size']['series']['qualities'][12]['quality'] }} | {{ sonarr['quality-size']['series']['qualities'][12]['min'] }} | {{ sonarr['quality-size']['series']['qualities'][12]['preferred'] }} | {{ sonarr['quality-size']['series']['qualities'][12]['max'] }} |
    | {{ sonarr['quality-size']['series']['qualities'][13]['quality'] }} | {{ sonarr['quality-size']['series']['qualities'][13]['min'] }} | {{ sonarr['quality-size']['series']['qualities'][13]['preferred'] }} | {{ sonarr['quality-size']['series']['qualities'][13]['max'] }} |

=== "Anime/Animated/Cartoons"

    | Quality                                                           |            Minimum <sub><sup>(MB/min)</sup></sub>             |              Preferred <sub><sup>(MB/min)</sup></sub>               |            Maximum <sub><sup>(MB/min)</sup></sub>             |
    |-------------------------------------------------------------------|:-------------------------------------------------------------:|:-------------------------------------------------------------------:|:-------------------------------------------------------------:|
    | {{ sonarr['quality-size']['anime']['qualities'][0]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][0]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][0]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][0]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][1]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][1]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][1]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][1]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][2]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][2]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][2]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][2]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][3]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][3]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][3]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][3]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][4]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][4]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][4]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][4]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][5]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][5]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][5]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][5]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][6]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][6]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][6]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][6]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][7]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][7]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][7]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][7]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][8]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][8]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][8]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][8]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][9]['quality'] }}  | {{ sonarr['quality-size']['anime']['qualities'][9]['min'] }}  | {{ sonarr['quality-size']['anime']['qualities'][9]['preferred'] }}  | {{ sonarr['quality-size']['anime']['qualities'][9]['max'] }}  |
    | {{ sonarr['quality-size']['anime']['qualities'][10]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][10]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][10]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][10]['max'] }} |
    | {{ sonarr['quality-size']['anime']['qualities'][11]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][11]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][11]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][11]['max'] }} |
    | {{ sonarr['quality-size']['anime']['qualities'][12]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][12]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][12]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][12]['max'] }} |
    | {{ sonarr['quality-size']['anime']['qualities'][13]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][13]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][13]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][13]['max'] }} |
    | {{ sonarr['quality-size']['anime']['qualities'][14]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][14]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][14]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][14]['max'] }} |
    | {{ sonarr['quality-size']['anime']['qualities'][15]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][15]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][15]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][15]['max'] }} |
    | {{ sonarr['quality-size']['anime']['qualities'][16]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][16]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][16]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][16]['max'] }} |
    | {{ sonarr['quality-size']['anime']['qualities'][17]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][17]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][17]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][17]['max'] }} |
    | {{ sonarr['quality-size']['anime']['qualities'][18]['quality'] }} | {{ sonarr['quality-size']['anime']['qualities'][18]['min'] }} | {{ sonarr['quality-size']['anime']['qualities'][18]['preferred'] }} | {{ sonarr['quality-size']['anime']['qualities'][18]['max'] }} |

--8<-- "includes/support.md"
